-- | Helper

module Network.HTTP.Pony.Helper where

import Control.Monad.IO.Class (MonadIO(..))
import Network.Socket (Socket, ShutdownCmd(..), shutdown)

infixr 0 -
f - x = f x

shutdownSend :: (MonadIO m) => Socket -> m ()
shutdownSend = liftIO . flip shutdown ShutdownSend

shutdownReceive :: (MonadIO m) => Socket -> m ()
shutdownReceive = liftIO . flip shutdown ShutdownReceive
